#include<iostream>
using namespace std;
int main(){
    unsigned int N,L;
    cin>>N>>L;
    unsigned int visine[N+1];
    visine[0] = 0;
    for(int i=1;i<=N;i++){
        cin>>visine[i];
    }
    int a=-1;
    for(int k=1;k<=N;k++){
        if(visine[k]<=L){
            a=k;
            break;
        }
    }
    cout<<a;
    return 0;
}